Subject: bug#64029: closed (Re: bug#64029: 30.0.50; info-lookup should respect display-buffer-alist)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Jun 2023 07:49:02 +0000

Your bug report

#64029: 30.0.50; info-lookup should respect display-buffer-alist

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64029: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64029
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64029: 30.0.50; info-lookup should respect display-buffer-alist
From: Mekeor Melire <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 14 Jun 2023 07:43:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

2023-06-13 14:07 [email-masked]:

> You should be able to get what you want by customizing the 
> option info-lookup-other-window-flag to the nil value.
>
> I'm not sure it is reasonable to expect every command to use 
> display-buffer or its family for every window it displays.

Thanks, Eli. In that case I'll just close this issue. Especially 
since I'm satisfied with info-lookup-other-window-flag. Sorry for 
the noise. :)

Subject: 30.0.50; info-lookup should respect display-buffer-alist
From: Mekeor Melire <[email-masked]>
To: [email-masked]
Date: Mon, 12 Jun 2023 21:02:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello :)

`info-lookup' (from info-look.el) does not respect `display-buffer-alist'.

To reproduce an example, open some buffer in fundamental-mode, evaluate

    (setq
      display-buffer-alist
      '((t (display-buffer-reuse-window display-buffer-same-window))))

and type

    C-h S c-mode RET sin RET

We'd expect the *info* buffer to be shown in the current window. Instead, a new window is created. This is because info-look.el does neither call display-buffer, nor does it take display-buffer-alist into account by itself:

    https://git.sv.gnu.org/cgit/emacs.git/tree/lisp/info-look.el?h=605414d018da47f99dec5019142f584b6eb174c8#n395

Kindly
Mekeor